| Home | Libraries | People | FAQ | More

## Function template trim

boost::algorithm::trim — Trim.

## Synopsis

    template<typename SequenceT>
      void trim(SequenceT & Input, const std::locale & Loc = std::locale());

## Description

Remove all leading and trailing spaces from the input. The input sequence is modified in-place.

Parameters:

`Input` | An input sequence
`Loc` | A locale used for 'space' classification

| Copyright © 2002-2004 Pavol Droba